## Kamihaya CMS

Kamihaya CMS is Drupal distribution developed specifically to meet Japanese Digital Agency website guidelines 1.3.4. It's packed with essential modules that are included in most Drupal projects, that speed up your development, and provides you with standardized configurations, making your life easier.

## Get Started

`composer create-project genero/drupal-recommended-project MY_PROJECT`

If you're using [DDEV](https://ddev.com/) for local development, you can quickly spin-up a site using:
`ddev config`
`ddev start`

## Features

- SEO Ready
- Responsive Previews
- Kamihaya Theme which includes industry standard Digital Agency Components
- Consists of cloud platform management using Cloud module. (This is disabled by default and can be enabled as required)
- Integration with Contentserv API to fetch product information using REST APIs
- Integration with Acquia DAM
- Kamihaya CMS comes with installation of Drupal commerce which helps to setup a ecommerce site quickly
- Provides a flexible way to control the access of entities using Content Access module.
- Includes paragraphs to make contents creation easier and flexible which are used in the content types and commerce product types.
- Includes Editoria11y Accessibility Checker module which reports any accessibility errors on the page.
- Content types which are useful for setting up recruitment sites.
- EU Cookie Compliance (GDPR Compliance) module
- reCAPTCHA module
- Integration with Spiral API
- Workflow
- Integration with Deel API
- TFA module
- Integration with ChatGPT
- Social share using AddtoAny module.

## Want to help contribute?

Be sure to check out our repository [Kamihaya CMS](https://github.com/HappySeedIndia/kamihaya_cms)